C API Functions

## udbLookupReferenceExists

### Description

Return 1 if the specified entity has any references of the general kind specified by the list of reference kinds. Returns 1 if the list is NULL.

### Syntax

     #include "udb/udb.h"
     int  udbLookupReferenceExists(UdbEntity entity,
                                   UdbKindList kindlist)

### Arguments

Argument | description
UdbEntity entity | Specified entity to lookup
UdbKindList kindlist | Allocated kind list

### Return Values

Return Value | description
int | 1 if the specified entity has any reference of the general kind specified by the list of references or if the reference kind list is NULL.

### Example Usage

     if (udbLookupReferenceExists(entity, refkinds) ) {...}

### See Also

udbListReference to get filtered list of references for entity.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com